AdWords API

type CampaignAdExtensionError (v201402)

CampaignAdExtension errors.


Namespace
https://adwords.google.com/api/adwords/cm/v201402
Fields
Field Type Description
ApiError (inherited)
fieldPath xsd:string The OGNL field path to identify cause of error.
trigger xsd:string The data that caused the error.
errorString xsd:string A simple string representation of the error and reason.
ApiError.Type xsd:string Indicates that this instance is a subtype of ApiError. Although this field is returned in the response, it is ignored on input and cannot be selected. Specify xsi:type instead.
CampaignAdExtensionError
reason CampaignAdExtensionError.Re... The error reason represented by an enum
Enumerations
ADEXTENSION_NOT_UNDER_CAMPAIGN
Cannot operate on an adextensions under the wrong campaign
CANNOT_ADD_DELETED_CAMPAIGN_ADEXTENSION
Cannot add a CampaignAdExtension with status DELETED
CANNOT_OPERATE_ON_DELETED_CAMPAIGN_ADEXTENSION
Cannot operate on a CampaignAdExtension with status DELETED
INVALID_ADEXTENSION_ID
Invalid adextension id
MISSING_ADEXTENSION_ID
Missing adextension id
MUST_USE_CONCRETE_ADEXTENSION_DURING_ADD
Must use a concrete subtype of AdExtension (eg. LocationExtension)
MUST_USE_CONCRETE_ADEXTENSION
Must use a concrete subtype of AdExtension (eg. LocationExtension)
UNKNOWN_ERROR

Authentication required

You need to be signed in with Google+ to do that.

Signing you in...

Google Developers needs your permission to do that.